查看: 1840|回复: 8

[转 换] 尝试 PHPCMS2008sp4 升级 PHPCMSv9

[复制链接]
发表于 2012-11-21 20:19:18 | 显示全部楼层 |阅读模式
本人新手刚学PHPCMS的二次开发,需要将手上PHPCMS2008SP4项目 升级成 PHPCMSv9,按照文档提供的步骤尝试了N次,都是在“会员组转换成功!会员模型转换成功!”的地方就停止了。
由于刚刚接触PHPCMS没几天,确实不太清楚是什么原因。后来,我开始仔细的查看文档中所提及的几个文件,发现在本地PHPCMSSP4中的config.inc.php文件中,数据库字符集为“gbk”,(而对应在我mysql中的数据库字符集为“utf-8”),或许是这里出了问题,由于不确定是不是这个原因,又出于谨慎考虑,在确定本地phpcmsSP4项目编码为"gbk"后,重新到官网下载GBK的转换文件,GBK的V9版本程序,然后按照步骤再试了一次,就成功了。。。
本人新手菜鸟,只是看到很多人遇到类似情况,自己也浪费了些时间去调整,所以就发个贴希望能帮到需要帮助的人。。。
 楼主| 发表于 2012-11-21 20:42:27 | 显示全部楼层
上述补充,如果不是必须要升级,建议不做升级,升级后项目需大量修改!!
回复 支持 反对

使用道具 举报

发表于 2012-11-21 21:25:58 | 显示全部楼层
暂时不建议升级,目前2008的升级到v9的话,很多模块是用不了的,2008有的模块v9都没有
回复 支持 反对

使用道具 举报

发表于 2013-1-11 12:47:14 | 显示全部楼层
楼主福如东海,万寿无疆!









http://www.luhuiping.org/
回复 支持 反对

使用道具 举报

发表于 2013-1-26 19:03:11 | 显示全部楼层
嗯应该是一个很不错的帖子这个一定要。
回复 支持 反对

使用道具 举报

发表于 2013-2-21 15:38:03 | 显示全部楼层
主要功能就是调用指定栏目或者全站的最新信息,支持原创。
回复 支持 反对

使用道具 举报

发表于 2013-3-4 17:56:55 | 显示全部楼层
2008和V9像是有仇的两家人分别做的系统。
回复 支持 反对

使用道具 举报

发表于 2013-3-8 18:33:53 | 显示全部楼层
支持一下感谢分享!
回复 支持 反对

使用道具 举报

发表于 2013-3-27 16:05:48 | 显示全部楼层
确实如此,V9功能上不是欠缺不少,需要补上啊
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 点击这里注册

本版积分规则

小黑屋|Archiver|phpcms网站管理系统 ( 京ICP备14011169 )

GMT+8, 2019-6-16 18:54 , Processed in 0.265260 second(s), 8 queries , Memcache On.

Powered by Discuz! X3.2

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表